const w = {
  zero: 0,
  one: 1,
  equals(e, t) {
    return e === t;
  },
  lt(e, t) {
    return e < t;
  },
  gt(e, t) {
    return e > t;
  },
  lte(e, t) {
    return e <= t;
  },
  gte(e, t) {
    return e >= t;
  },
  add(e, t) {
    return e + t;
  },
  sub(e, t) {
    return e - t;
  },
  mul(e, t) {
    return e * t;
  },
  mulT(e, t) {
    return e * t;
  },
  div(e, t) {
    return e / t;
  },
  divT(e, t) {
    return e / t;
  },
  pow(e, t) {
    return Math.pow(e, t);
  },
  powT(e, t) {
    return Math.pow(e, t);
  },
  sqrt(e) {
    return Math.sqrt(e);
  },
  cbrt(e) {
    return Math.cbrt(e);
  },
  toNumber(e) {
    return e;
  },
  format(e, t) {
    return e === 1 && t !== 0 ? "" : e === -1 && t !== 0 ? "-" : Math.abs(e) < 100 ? Number.isInteger(e) ? `${e} ` : `${e.toPrecision(3)} ` : `${e} `;
  }
};
class S {
  constructor(t, r) {
    this.zero = t, this.one = r;
  }
  equals(t, r) {
    return t.equals(r);
  }
  lt(t, r) {
    return t.lt(r);
  }
  gt(t, r) {
    return t.gt(r);
  }
  lte(t, r) {
    return t.lte(r);
  }
  gte(t, r) {
    return t.gte(r);
  }
  add(t, r) {
    return t.add(r);
  }
  sub(t, r) {
    return t.sub(r);
  }
  mul(t, r) {
    return t.mul(r);
  }
  mulT(t, r) {
    return t.mul(r);
  }
  div(t, r) {
    return t.div(r);
  }
  divT(t, r) {
    return t.div(r);
  }
  pow(t, r) {
    return t.pow(r);
  }
  powT(t, r) {
    return t.pow(r);
  }
  sqrt(t) {
    return t.sqrt();
  }
  cbrt(t) {
    return t.cbrt();
  }
  toNumber(t) {
    return t.toNumber();
  }
  format(t, r) {
    return t.equals(1) && r !== 0 ? "" : t.equals(-1) && r !== 0 ? "-" : t.abs().lessThan(100) ? t.floor().equals(t) ? `${t.toString()} ` : `${t.toPrecision(3)} ` : `${t.toString()} `;
  }
}
function V(e) {
  return new S(e(0), e(1));
}
function k(e) {
  const t = $(e), r = e.ops;
  if (e.ops.equals(e.constantTerm, e.ops.zero))
    return [0];
  switch (t.length) {
    case 0:
    case 1:
      return [];
    case 2: {
      const [n, o] = t;
      return [r.toNumber(r.divT(r.mul(n, -1), o))];
    }
    case 3: {
      const [n, o, s] = t, u = r.sub(r.mulT(o, o), r.mul(r.mulT(s, n), 4)), i = r.mul(s, 2), a = r.sqrt(u);
      return [
        r.toNumber(r.divT(r.add(r.mul(o, -1), a), i)),
        r.toNumber(r.divT(r.sub(r.mul(o, -1), a), i))
      ];
    }
    case 4: {
      const [n, o, s, u] = t, i = r.divT(r.mul(s, -1), r.mul(u, 3)), a = r.add(r.pow(i, 3), r.divT(r.sub(r.mulT(s, o), r.mul(r.mulT(u, n), 3)), r.mul(r.mulT(u, u), 6))), f = r.divT(o, r.mul(u, 3)), h = r.add(r.mulT(a, a), r.pow(r.sub(f, r.mulT(i, i)), 3)), l = r.sqrt(h);
      return [r.toNumber(r.add(r.add(i, r.cbrt(r.add(a, l))), r.cbrt(r.sub(a, l))))];
    }
    default:
      throw new Error(
        `roots of polynomials of degree ${t.length - 1} (length ${t.length}) not yet implemented`
      );
  }
}
function $(e) {
  return e.coeffs[1] == null || e.coeffs[2] == null || e.coeffs[3] == null || e.coeffs[4] == null, e.coeffs;
}
function N(e) {
  const t = e.coeffs.slice(1);
  return e.ops.lt(e.constantTerm, e.ops.zero) && t.length > 0 && t.every((r) => e.ops.gte(r, e.ops.zero));
}
function O(e, t = {}) {
  const [r, ...n] = e.coeffs, o = B(r, n, e.ops);
  if (!N(e) || r == null || o == null)
    throw new Error("not bisectable");
  const s = e.ops.toNumber(o);
  if (!isFinite(s))
    throw new Error("not bisectable: max-bound is too large");
  return R(e, 0, s, t.iterations ?? 20);
}
function R(e, t, r, n) {
  const { ops: o } = e;
  let s = (r + t) / 2;
  for (let u = 0; u < n; u++) {
    const i = e.evaluate(s);
    if (o.equals(i, o.zero))
      return s;
    o.lt(i, o.zero) ? t = s : r = s, s = (r + t) / 2;
  }
  return s;
}
function B(e, t, r) {
  function n(o, s) {
    if (r.equals(r.zero, o))
      return null;
    const u = s + 1;
    return r.pow(r.divT(r.mul(e, -1), o), 1 / u);
  }
  return y(t.map(n).filter((o) => o != null), r);
}
function y(e, t) {
  const [r, ...n] = e;
  return r == null ? null : n.reduce((o, s) => t.lt(o, s) ? o : s, r);
}
class c {
  /**
   * @param coeffs The polynomial's coefficients. `coeffs[0]` is the constant term; `coeffs` of `[3,2,1]` are the polynomial `t^2 + 2 t + 3`
   * @param ops Fundamental operations for this polynomial's number type. Used to implement polynomials for {@link https://mikemcl.github.io/decimal.js/ | Decimal.js} or other non-builtin number types. If you're using the builtin number type, feel free to ignore it.
   */
  constructor(t, r) {
    this.coeffs = t, this.ops = r;
  }
  static parse(t, r = w) {
    const n = [...t];
    for (; n.length > 0 && r.equals(r.zero, n[n.length - 1] ?? r.one); )
      n.pop();
    const o = n.length ? n : [r.zero];
    return new c(o, r);
  }
  static zero(t = w) {
    return c.parse([t.zero], t);
  }
  /**
   * Return the *degree* of this polynomial - the value of its highest exponent.
   * 
   * https://en.wikipedia.org/wiki/Degree_of_a_polynomial
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([1,2,3]).degree  // 2
   *     Polynomial.parse([9,8,7,6]).degree  // 3
   *     Polynomial.parse([9,8,7,6]).degree  // 3
   *     Polynomial.zero().degree  // 0
   */
  get degree() {
    return this.coeffs.length - 1;
  }
  /**
   * Is this polynomial a constant? That is, is its degree equal to zero?
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([1,2,3]).isConstant  // false
   *     Polynomial.parse([1]).isConstant  // true
   *     Polynomial.zero().isConstant  // true
   */
  get isConstant() {
    return this.degree <= 0;
  }
  /**
   * Return this polynomial's constant term.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([1,2,3]).constantTerm  // 1
   *     Polynomial.parse([1]).constantTerm  // 1
   *     Polynomial.parse([9,8,7,6]).constantTerm  // 9
   *     Polynomial.zero().constantTerm  // 0
   */
  get constantTerm() {
    return this.coeffs[0] ?? this.ops.zero;
  }
  /**
   * Evaluate the polynomial at the given point.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([3,2]).evaluate(0)  // 3
   *     Polynomial.parse([3,2]).evaluate(1)  // 5
   *     Polynomial.parse([3,2]).evaluate(2)  // 7
   *     Polynomial.parse([3,2,1]).evaluate(0)  // 3
   *     Polynomial.parse([3,2,1]).evaluate(1)  // 6
   *     Polynomial.parse([3,2,1]).evaluate(2)  // 11
   * 
   * @group evaluate
   */
  evaluate(t, r = "normal") {
    return this.evaluateDegree(t, 0, r);
  }
  /**
   * Evaluate the polynomial at the given point, with the given degree.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([3,2,1]).evaluateDegree(2, 0)  // 11 = 3 + 2*2 + 1*(2^2)
   *     Polynomial.parse([3,2,1]).evaluateDegree(2, 1)  // 6 = 2*2 + 1*(2^2)
   *     Polynomial.parse([3,2,1]).evaluateDegree(2, 2)  // 2 = 1*(2^2)
   * 
   * @group evaluate
   */
  evaluateDegree(t, r, n = "normal") {
    let o = this;
    if (r > 0 && (o = c.parse(o.coeffs.slice(r).map((s, u) => this.ops.mul(s, r + u)), this.ops)), t === 0)
      return o.constantTerm;
    switch (n) {
      case "normal":
        return o.coeffs.map((s, u) => {
          const i = Math.pow(t, u);
          return this.ops.mul(s, i);
        }).reduce((s, u) => this.ops.add(s, u), this.ops.zero);
      case "horner":
      default:
        return o.coeffs.reduceRight((s, u) => this.ops.add(this.ops.mul(s, t), u), this.ops.zero);
    }
  }
  /**
   * Add two polynomials.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([3,2,1]).add(Polynomial.parse([1,2,3]))  // [4,4,4]
   *     Polynomial.parse([3,2,1]).add(Polynomial.parse([5]))  // [8,2,1]
   *     Polynomial.parse([3,2,1]).add(Polynomial.zero())  // [3,2,1]
   * 
   * @group transforms
   */
  add(t) {
    const r = A(this.coeffs, t.coeffs).map(([n, o]) => this.ops.add(n ?? this.ops.zero, o ?? this.ops.zero));
    return c.parse(r, this.ops);
  }
  /**
   * Add a polynomial and some polynomial coefficients.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([3,2,1]).add([1,2,3])  // [4,4,4]
   *     Polynomial.parse([3,2,1]).add([5])  // [8,2,1]
   *     Polynomial.parse([3,2,1]).add([])  // [3,2,1]
   * 
   * @group transforms
   */
  addCoeffs(t) {
    return this.add(c.parse(t, this.ops));
  }
  /**
   * Add a list of polynomials.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([3,2,1]).sum([Polynomial.parse([1,2,3]), Polynomial.parse([1,1,1])])  // [5,5,5]
   * 
   * See also {@link sums}
   * 
   * @group transforms
   */
  sum(t) {
    return t.reduce((r, n) => r.add(n), this);
  }
  /**
   * Add a list of polynomials.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.sums([Polynomial.parse([1,2,3]), Polynomial.parse([1,1,1])])  // [5,5,5]
   *     Polynomial.sums([])  // throws error
   * 
   * @group transforms
   */
  static sums(t) {
    const [r, ...n] = t;
    if (!r)
      throw new Error("cannot sum an empty list of polynomials");
    return r.sum(n);
  }
  /**
   * Add a list of polynomial-coefficients.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([3,2,1]).sumCoeffs([[1,2,3], [1,1,1]])  // [5,5,5]
   *     Polynomial.parse([3,2,1]).sumCoeffs([])  // [3,2,1]
   * 
   * @group transforms
   */
  sumCoeffs(t) {
    return this.sum(t.map((r) => c.parse(r, this.ops)));
  }
  /**
   * Multiply a polynomial by a scalar.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([3,2,1]).mul(5)  // [15,10,5]
   *     Polynomial.parse([3,2,1]).mul(0)  // [0]
   * 
   * @group transforms
   */
  mul(t) {
    const r = this.coeffs.map((n) => this.ops.mul(n, t));
    return c.parse(r, this.ops);
  }
  /**
   * Multiply a polynomial by a scalar. Similar to `mul`, but this one supports uses the same number format as your polynomial.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([3,2,1]).mulT(5)  // [15,10,5]
   *     Polynomial.parse([3,2,1]).mulT(0)  // [0]
   * 
   * @group transforms
   */
  mulT(t) {
    const r = this.coeffs.map((n) => this.ops.mulT(n, t));
    return c.parse(r, this.ops);
  }
  /**
   * True if the given value is a root of this polynomial - that is, if `evaluate(t) === 0` for this t.
   * 
   * @param tolerance floating point imprecision allowed for this to return true
   * 
   * @group roots
   */
  isRoot(t, r = 0.01) {
    const n = this.ops.toNumber(this.evaluate(t));
    return r === 0 ? n === 0 : Math.abs(n) < r;
  }
  /**
   * Will `{@link findRootsQuick}` work for this polynomial?
   * 
   * True if degree 3 or less, or (trivially) if the constant term is zero.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([-3,2,1]).isRootQuick  // true
   *     Polynomial.parse([-64,0,0,1]).isRootQuick  // true
   *     Polynomial.parse([-5,4,3,2,1]).isRootQuick  // false
   *     Polynomial.parse([0]).isRootQuick  // true
   *     Polynomial.parse([1]).isRootQuick  // true
   * 
   * @group roots
   */
  get isRootQuick() {
    return this.degree <= 3 || this.ops.equals(this.constantTerm, this.ops.zero);
  }
  /**
   * Try to find at least one root of this polynomial - that is, the values of `t` where `evaluate(t) === 0`.
   * 
   * For polynomials with degree <= 3, we use exact formulas to find one. For larger polynomials, we use an iterative method, which will be slower and less accurate.
   * 
   * @todo polynomials with degree >= 4 not yet implemented, throw an error
   * 
   * https://en.wikipedia.org/wiki/Polynomial_root-finding_algorithms
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([-3,2,1]).findRootsQuick()  // Set([1,-3])
   *     Polynomial.parse([-64,0,0,1]).findRootsQuick()  // Set([4])
   *     Polynomial.parse([-5,4,3,2,1]).findRootsQuick()  // throws Error - degree too high; isRootQuick was false
   *     Polynomial.parse([0]).findRootsQuick()  // Set([0])
   *     Polynomial.parse([1]).findRootsQuick()  // Set([])
   * 
   * @group roots
   */
  findRootsQuick() {
    const t = k(this);
    return new Set(t.filter((r) => !isNaN(r)));
  }
  /**
   * Does this polynomial start negative, grow continuously, and eventually become non-negative?
   * 
   * - is the constant term `coeffs[0]` negative?
   * - are all non-constant terms `coeffs[1..]` non-negative?
   * 
   * That is, does it look like:
   * 
   *     -p0 + p1 t + p2 t^2 + p3 t^3 + ...
   * 
   * If so, we can bisect it to approximate a root.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([-3,2,1]).isRootBisectable  // true
   *     Polynomial.parse([-64,0,0,1]).isRootBisectable  // true
   *     Polynomial.parse([-5,4,3,2,1]).isRootBisectable  // false
   *     Polynomial.parse([0]).isRootBisectable  // false
   *     Polynomial.parse([1]).isRootBisectable  // false
   * 
   * @group roots
   */
  get isRootBisectable() {
    return N(this);
  }
  /**
   * Try to approximate exactly one root of this polynomial - that is, the values of `t` where `evaluate(t) === 0`.
   * 
   * This uses bisection, which is slower than some other methods. Also, it only works for {@link isRootBisectable | bisectable polynomials}. Also, it's an approximation, not an exact result.
   * 
   * You should prefer {@link findRootsQuick} when possible.
   * 
   * https://en.wikipedia.org/wiki/Bisection_method#Algorithm
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([-3,2,1]).findRootBisect()  // 0.999999...
   *     Polynomial.parse([-64,0,0,1]).findRootBisect()  // 3.99999...
   *     Polynomial.parse([-256,0,0,0,1]).findRootBisect()  // 3.99999...
   *     Polynomial.parse([0]).findRootBisect()  // error: not bisectable
   *     Polynomial.parse([1]).isRootBisectable  // error: not bisectable
   *     Polynomial.parse([-1]).isRootBisectable  // error: not bisectable
   * 
   * @group roots
   */
  findRootBisect(t = {}) {
    return O(this, t);
  }
  /**
   * Transform a polynomial to a list of `[formatted-coefficient, degree]`, suitable for string formatting.
   * You could use this to implement an HTML representation, for example.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   * 
   *     Polynomial.parse([3,2,1]).format()  // [["",2],["2 ",1],["3 ",0]]
   *     Polynomial.parse([3,2,1]).toString()  // "t^2 + 2 t + 3"
   * 
   *     Polynomial.parse([3,0,1]).format()  // [["",2],["0 ",1],["3 ",0]]
   *     Polynomial.parse([3,0,1]).toString()  // "t^2 + 0 t + 3"
   * 
   * @group rendering
   */
  format() {
    return this.coeffs.map((t, r) => [this.ops.format(t, r), r]).reverse();
  }
  /**
   * Transform a polynomial to a list of `[formatted-coefficient, degree]`, suitable for string formatting.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   * 
   *     Polynomial.parse([3,2,1]).formats()  // ["t^2", "2 t", "3"]
   *     Polynomial.parse([3,2,1]).toString()  // "t^2 + 2 t + 3"
   * 
   *     Polynomial.parse([3,0,1]).formats()  // ["t^2", "0 t", "3"]
   *     Polynomial.parse([3,0,1]).toString()  // "t^2 + 0 t + 3"
   * 
   * @group rendering
   */
  formats() {
    return this.format().map(([t, r]) => {
      switch (r) {
        case 0:
          return t.trim();
        case 1:
          return `${t}t`.trim();
        default:
          return `${t}t^${r}`.trim();
      }
    });
  }
  /**
   * Render a polynomial as a string.
   * 
   * If you need custom formatting, start with {@link format} instead.
   * 
   *     import {Polynomial} from "@erosson/polynomial"
   *     Polynomial.parse([3,2,1]).toString()  // "t^2 + 2 t + 3"
   *     Polynomial.parse([3,0,1]).toString()  // "t^2 + 0 t + 3"
   * 
   * @group rendering
   */
  toString() {
    return this.formats().join(" + ");
  }
}
function A(e, t) {
  return e.length >= t.length ? e.map((r, n) => [r, t[n] ?? null]) : t.map((r, n) => [e[n] ?? null, r]);
}
function P(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var T = { exports: {} };
T.exports = function(e) {
  return z(j(e), e);
};
T.exports.array = z;
function z(e, t) {
  var r = e.length, n = new Array(r), o = {}, s = r, u = C(t), i = D(e);
  for (t.forEach(function(f) {
    if (!i.has(f[0]) || !i.has(f[1]))
      throw new Error("Unknown node. There is an unknown node in the supplied edges.");
  }); s--; )
    o[s] || a(e[s], s, /* @__PURE__ */ new Set());
  return n;
  function a(f, h, l) {
    if (l.has(f)) {
      var p;
      try {
        p = ", node was:" + JSON.stringify(f);
      } catch {
        p = "";
      }
      throw new Error("Cyclic dependency" + p);
    }
    if (!i.has(f))
      throw new Error("Found unknown node. Make sure to provided all involved nodes. Unknown node: " + JSON.stringify(f));
    if (!o[h]) {
      o[h] = !0;
      var m = u.get(f) || /* @__PURE__ */ new Set();
      if (m = Array.from(m), h = m.length) {
        l.add(f);
        do {
          var d = m[--h];
          a(d, i.get(d), l);
        } while (h);
        l.delete(f);
      }
      n[--r] = f;
    }
  }
}
function j(e) {
  for (var t = /* @__PURE__ */ new Set(), r = 0, n = e.length; r < n; r++) {
    var o = e[r];
    t.add(o[0]), t.add(o[1]);
  }
  return Array.from(t);
}
function C(e) {
  for (var t = /* @__PURE__ */ new Map(), r = 0, n = e.length; r < n; r++) {
    var o = e[r];
    t.has(o[0]) || t.set(o[0], /* @__PURE__ */ new Set()), t.has(o[1]) || t.set(o[1], /* @__PURE__ */ new Set()), t.get(o[0]).add(o[1]);
  }
  return t;
}
function D(e) {
  for (var t = /* @__PURE__ */ new Map(), r = 0, n = e.length; r < n; r++)
    t.set(e[r], r);
  return t;
}
var x = T.exports;
const _ = /* @__PURE__ */ P(x);
function F(e) {
  var r;
  const t = /* @__PURE__ */ new Map();
  for (const [n, o] of e)
    t.has(n) || t.set(n, []), (r = t.get(n)) == null || r.push(o);
  return t;
}
function G(e, t) {
  return F(e.map((r) => [t(r), r]));
}
function q(e, t, r) {
  const [n, o] = r ? ["to", "from"] : ["from", "to"], s = G(e, t[n]);
  function u(a, f) {
    const l = (s.get(f) ?? []).map((m) => (a.get(t[o](m)) ?? []).map((g) => ({ ...g, [n]: f, path: [m, ...g.path] }))).flat(), p = { from: f, to: f, path: [] };
    return a.set(f, [p, ...l]), a;
  }
  const i = _(e.map((a) => [t.from(a), t.to(a)]));
  return r || i.reverse(), i.reduce(u, /* @__PURE__ */ new Map());
}
function Q(e, t, r) {
  return M(q(e, r ?? { from: (n) => n.from, to: (n) => n.to }, !1), t ?? []);
}
function b(e, t, r) {
  return M(q(e, r ?? { from: (n) => n.from, to: (n) => n.to }, !0), t ?? []);
}
function M(e, t) {
  for (const r of t)
    if (!e.has(r)) {
      const n = { from: r, to: r, path: [] };
      e.set(r, [n]);
    }
  return e;
}
const W = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  allIncomingPaths: b,
  allOutgoingPaths: Q
}, Symbol.toStringTag, { value: "Module" }));
function H(e, t = 1) {
  return e.reduce((r, n) => r * n, t);
}
function I(e, t) {
  return t == null ? (t = e, [...Array(t).keys()]) : [...Array(t - e).keys()].map((r) => r + e);
}
function J(e) {
  return H(I(1, e + 1));
}
function U(e, t, r = w) {
  return E(Array.from(e.keys()), t, r, {
    each: (n) => n.each,
    count: (n) => e.get(n)
  });
}
function E(e, t, r, n) {
  const { from: o, to: s } = n;
  if (o && s) {
    const u = b(t, e, { from: o, to: s });
    return v(u, r, n);
  } else {
    const i = b(t, e);
    return v(i, r, n);
  }
}
function v(e, t, r) {
  return new Map(Array.from(e.entries()).map(([n, o]) => [n, K(o, t, r)]));
}
function K(e, t, r) {
  return c.sums(e.map((n) => L(n, t, r)));
}
function L(e, t, r) {
  const n = e.path.length, o = r.count(e.from);
  if (o == null)
    throw new Error(`nullish count: ${e.from}`);
  const s = e.path.map((i) => r.each(i)).reduce((i, a) => t.mulT(i, a), t.one), u = t.mul(t.mulT(s, o), 1 / J(n));
  return c.parse([...Array(n).fill(t.zero), u], t);
}
const X = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  customGraphToPolynomials: E,
  graphPathsToPolynomials: v,
  simpleGraphToPolynomials: U
}, Symbol.toStringTag, { value: "Module" }));
export {
  W as Graph,
  c as Polynomial,
  X as Production,
  V as decimalNumberOps,
  w as nativeNumberOps
};
//# sourceMappingURL=index.esm.js.map
